<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Cash Revenues</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_finance::sidebar_finance" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Cash Revenues
                </div>
            </div>
        </div>
        <form method="get">
            <div class="row">
                <div class="col-md-5">
                    <div class="mb-3">
<!--                        <label for="periodeAnggaran" class="form-label">Period</label>-->
                        <select class="form-select" id="selectsatu" name="periodeAnggaran" data-placeholder="Choose one thing" required>
                            <option th:each="data : ${listPeriodeAnggaranAktif}"
                                    th:selected="(${data} == *{selectedPeriode})"
                                    th:text="${'('+ data.kodePeriodeAnggaran +')'  + '       -       ' +  data.namaPeriodeAnggaran}"
                                    th:value="${data.id}">sdasd
                            </option>
                            <option th:each="data1 : ${listPeriodeAnggaran}"
                                    th:text="${'('+ data1.kodePeriodeAnggaran +')'  + '       -       ' +  data1.namaPeriodeAnggaran}"
                                    th:value="${data1.id}">sdasd
                            </option>
                        </select>
                        <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
                    </div>

                </div>

                <div class="col-md-6">
                    <div class="mb-3">
<!--                        <label for="selectdua" class="form-label">Budget Line</label>-->
                        <select class="form-select" id="selectdua" name="mataAnggaran">
                            <option value="">All</option>
                            <option th:each="data : ${mataAnggaran}"
                                    th:selected="(${data} == *{selectedMataAnggaran})"
                                    th:text="${'('+ data.kodeMataAnggaran +')'  + '       -       ' +  data.namaMataAnggaran}"
                                    th:value="${data.id}">sdasd</option>
                        </select>
                        <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
                    </div>

                </div>
                <div class="col-md-1">
                    <button type="submit" class="btn btn-default" style="--bs-btn-bg: #e8ecf1">Choose</button>
                </div>
            </div>
            <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
            </div>
            <div class="row">
                <div class="col-md-9">
                    Show entries <span sd:page-size-selector="javascript"></span>
                </div>
                <div class="col-md-3" align="right">
                    <input class="form-control me-2" type="text" placeholder="Search" name="search" th:value="${search}" aria-label="Search">
                    <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                </div>
            </div>
            <br>
            <div class="row">
                <div class="col-md-12">
                    <div class="tableFixHead">
                        <table class="table table-hover small">
                            <thead class="table-dark" style="--bs-table-bg:#15408d;">
                            <tr>
                                <th scope="col" style="width: 10px">#</th>
                                <th scope="col"></th>
                                <th scope="col">Description</th>
                                <th scope="col">Total Estimated</th>
                                <th scope="col">Total Cash</th>
                                <th scope="col">Options</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="dataPenerimaan,row : ${listPenerimaan}">
                                <td th:text="${(row.index + 1) + (listPenerimaan.number * listPenerimaan.size)}">1.</td>
                                <td th:text="${dataPenerimaan.mataAnggaran.kodeMataAnggaran}">BEASISWA</td>
                                <td th:text="${dataPenerimaan.keterangan}">-</td>
                                <td th:text="${'Rp. ' + #numbers.formatDecimal(dataPenerimaan.total, 0, 'POINT', 2, 'COMMA')}" align="right">AKTIF</td>
                                <td th:text="${'Rp. ' + #numbers.formatDecimal(dataPenerimaan.realisasi, 0, 'POINT', 2, 'COMMA')}" align="right">AKTIF</td>
                                <td align="right">
                                    <a th:href="@{/transaksi/penerimaanreal/add(estimasi= ${dataPenerimaan.id})}" class="link-primary">+ Realization</a>
                                    &nbsp;
                                    <a th:href="@{/transaksi/penerimaanreal/detail(estimasi= ${dataPenerimaan.id})}" class="link-success">List Of Realization</a>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                        <li class="disabled"><a href="#" aria-label="Previous"><span
                                aria-hidden="true">&laquo;</span></a>
                        </li>
                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                        </li>
                    </ul>
                </div>
            </div>
        </form>
    </main>
</main>

</body>
</html>

<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Cash Revenue</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Cash Revenue-->
<!--        <small>List Data</small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Setting</li>-->
<!--        <li class="active"> Cash Revenue</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->

<!--    <div class="row">-->
<!--        <div class="col-md-12">-->
<!--            <div class="box">-->
<!--                <form method="get">-->
<!--                    <div class="box-header with-border">-->
<!--                        <div class="row">-->
<!--                            <div class="col-md-4">-->
<!--                                <div class="form-group">-->
<!--                                    <label for="periodeAnggaran" class="col-sm-2 control-label">Period</label>-->

<!--                                    <div class="col-sm-10">-->
<!--                                        <select class="form-control select2" name="periodeAnggaran" id="periodeAnggaran" style="width: 100%;">-->

<!--                                            <option th:each="data : ${listPeriodeAnggaranAktif}"-->
<!--                                                    th:selected="(${data} == *{selectedPeriode})"-->
<!--                                                    th:text="${'('+ data.kodePeriodeAnggaran +')'  + '       -       ' +  data.namaPeriodeAnggaran}"-->
<!--                                                    th:value="${data.id}">sdasd-->
<!--                                            </option>-->
<!--                                            <option th:each="data1 : ${listPeriodeAnggaran}"-->
<!--                                                    th:text="${'('+ data1.kodePeriodeAnggaran +')'  + '       -       ' +  data1.namaPeriodeAnggaran}"-->
<!--                                                    th:value="${data1.id}">sdasd-->
<!--                                            </option>-->

<!--                                        </select>-->
<!--                                    </div>-->
<!--                                </div>-->

<!--                            </div>-->

<!--                            <div class="col-md-7">-->
<!--                                <div class="form-group">-->
<!--                                    <label for="mataAnggaran" class="col-sm-2 control-label">Budget_Line</label>-->

<!--                                    <div class="col-sm-10">-->
<!--                                        <select class="form-control select2" name="mataAnggaran" id="mataAnggaran" style="width: 100%;">-->
<!--                                            <option value="">All</option>-->
<!--                                            <option th:each="data : ${mataAnggaran}"-->
<!--                                                    th:selected="(${data} == *{selectedMataAnggaran})"-->
<!--                                                    th:text="${'('+ data.kodeMataAnggaran +')'  + '       -       ' +  data.namaMataAnggaran}"-->
<!--                                                    th:value="${data.id}">sdasd</option>-->
<!--                                        </select>-->
<!--                                    </div>-->


<!--                                </div>-->

<!--                            </div>-->

<!--                            <div class="col-md-1">-->
<!--                                <div class="form-group">-->
<!--                                    <div class="col-sm-12">-->
<!--                                        <button type="submit" class="btn btn-default" style="&#45;&#45;bs-btn-bg: #15408d">Choose</button>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->

<!--                        </div>-->
<!--                    </div>-->

<!--                    <div class="box-header with-border">-->
<!--                        <div class="row">-->
<!--                            <div class="col-md-6">-->
<!--                                <h3 class="box-title">List Of Revenue</h3>-->
<!--                            </div>-->
<!--                            <div class="col-md-6" align="right">-->
<!--                                Show entries <span sd:page-size-selector="javascript"></span>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </div>-->

<!--                    <div class="box-header with-border">-->
<!--                        <div class="row">-->
<!--                            <div class="col-md-6">-->
<!--&lt;!&ndash;                                <div class="input-group input-group-sm" style="width: 150px;">&ndash;&gt;-->
<!--&lt;!&ndash;                                    <a th:href="@{/setting/penerimaan/baru}" name="tambah" type="button" class="btn btn-block btn-primary">+ REVENUE ESTIMATION</a>&ndash;&gt;-->
<!--&lt;!&ndash;                                </div>&ndash;&gt;-->
<!--                            </div>-->



<!--                            <div class="col-md-6" align="right">-->
<!--                                <div class="input-group input-group-sm" style="width: 150px;">-->
<!--                                    <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">-->
<!--                                    <div class="input-group-btn">-->
<!--                                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->

<!--                        </div>-->
<!--                    </div>-->
<!--                </form>-->
<!--                &lt;!&ndash; /.box-header &ndash;&gt;-->


<!--                <div class="box-body table-responsive no-padding">-->
<!--                    <table class="table table-bordered">-->
<!--                        <tr>-->
<!--                            <th style="width: 10px">#</th>-->
<!--                            <th></th>-->
<!--                            <th>Description</th>-->
<!--                            <th>Total Estimated</th>-->
<!--                            <th>Total Cash</th>-->
<!--                            <th>Options</th>-->
<!--                        </tr>-->
<!--                        <tr th:each="dataPenerimaan,row : ${listPenerimaan}">-->
<!--                            <td th:text="${(row.index + 1) + (listPenerimaan.number * listPenerimaan.size)}">1.</td>-->
<!--                            <td th:text="${dataPenerimaan.mataAnggaran.kodeMataAnggaran}">BEASISWA</td>-->
<!--                            <td th:text="${dataPenerimaan.keterangan}">-</td>-->
<!--                            <td th:text="${'Rp. ' + #numbers.formatDecimal(dataPenerimaan.total, 0, 'POINT', 2, 'COMMA')}" align="right">AKTIF</td>-->
<!--                            <td th:text="${'Rp. ' + #numbers.formatDecimal(dataPenerimaan.realisasi, 0, 'POINT', 2, 'COMMA')}" align="right">AKTIF</td>-->
<!--                            <td align="right">-->
<!--                                <a th:href="@{/transaksi/penerimaanreal/add(estimasi= ${dataPenerimaan.id})}" class="btn btn-primary btn-xs">+ Realization</a>-->
<!--                                &nbsp;-->
<!--                                <a th:href="@{/transaksi/penerimaanreal/detail(estimasi= ${dataPenerimaan.id})}" class="btn btn-success btn-xs">List Of Realization</a>-->
<!--                            </td>-->
<!--                        </tr>-->

<!--                        <tr>-->
<!--                            <th style="width: 10px">#</th>-->
<!--                            <th></th>-->
<!--                            <th>Description</th>-->
<!--                            <th>Total Estimated</th>-->
<!--                            <th>Total Cash</th>-->
<!--                            <th>Options</th>-->
<!--                        </tr>-->


<!--                    </table>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                <div class="box-footer clearfix">-->
<!--                    <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
<!--                        <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                aria-hidden="true">&laquo;</span></a>-->
<!--                        </li>-->
<!--                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                        </li>-->
<!--                    </ul>-->
<!--                </div>-->
<!--            </div>-->
<!--            &lt;!&ndash; /.box &ndash;&gt;-->
<!--        </div>-->
<!--    </div>-->
<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#datepicker').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->